{
  "name": "charoensin",
  "version": "0.0.1",
  "private": true,
  "scripts": {
    "start": "react-native start",
    "lint": "eslint .",
    "postinstall": "patch-package",
    "prod-android": "cd android && ./gradlew assembleRelease",
    "run-android": "react-native run-android",
    "run-ios": "react-native run-ios --simulator \"iPhone 14 Pro Max\"",
    "run-device": "react-native run-ios --device",
    "ios": "react-native run-ios --simulator \"iPhone 14 Pro Max\"",
    "build:ios": "react-native bundle --entry-file='index.js' --bundle-output='./ios/main.jsbundle' --dev=false --platform='ios'",
    "test": "jest"
  },
  "rnpm": {
    "assets": [
      "./assets/fonts",
      "./assets/icons"
    ]
  },
  "dependencies": {
    "@invertase/react-native-apple-authentication": "^1.1.2",
    "@react-native-async-storage/async-storage": "^2.1.2",
    "@react-native-camera-roll/camera-roll": "^7.10.0",
    "@react-native-community/datetimepicker": "^3.0.2",
    "@react-native-community/toolbar-android": "0.2.1",
    "@react-native-firebase/app": "^17.3.2",
    "@react-native-firebase/messaging": "^17.3.2",
    "@react-native/gradle-plugin": "0.73.4",
    "@types/react": "^19.1.0",
    "@types/react-native": "^0.73.0",
    "apisauce": "^1.1.0",
    "deprecated-react-native-prop-types": "^5.0.0",
    "i18n-js": "^3.5.1",
    "intl": "^1.2.5",
    "jetifier": "^2.0.0",
    "moment": "^2.24.0",
    "native-base": "^2.13.8",
    "patch-package": "^7.0.0",
    "rabbit-node": "^1.0.4",
    "react": "18.2.0",
    "react-native": "0.72.6",
    "react-native-action-sheet": "^2.2.0",
    "react-native-camera": "3.40.0",
    "react-native-countdown-component": "^2.7.1",
    "react-native-device-info": "^5.5.7",
    "react-native-dropdown-picker": "^5.4.6",
    "react-native-easy-grid": "^0.2.2",
    "react-native-elastic-image-slider": "^1.0.0",
    "react-native-elements": "^1.2.0",
    "react-native-fast-image": "^8.1.5",
    "react-native-fbsdk-next": "^13.4.1",
    "react-native-gesture-handler": "^1.4.1",
    "react-native-hyperlink": "^0.0.16",
    "react-native-image-crop-picker": "0.40.0",
    "react-native-image-slider-show": "^1.0.3",
    "react-native-image-slideshow": "^1.0.1",
    "react-native-image-view": "^2.1.5",
    "react-native-linear-gradient": "^2.5.6",
    "react-native-modal-datetime-picker": "^7.5.0",
    "react-native-pager-view": "^5.4.25",
    "react-native-permissions": "^4.1.5",
    "react-native-picker-dropdown": "^0.1.2",
    "react-native-qrcode": "^0.2.7",
    "react-native-qrcode-scanner": "^1.5.5",
    "react-native-qrcode-svg": "^5.2.0",
    "react-native-render-html": "^4.1.2",
    "react-native-safe-area-context": "4.7.4",
    "react-native-screens": "^2.7.0",
    "react-native-searchable-dropdown": "^1.1.1",
    "react-native-signature-canvas": "^4.4.1",
    "react-native-signature-pad": "^0.1.0",
    "react-native-snap-carousel": "4.0.0-beta.6",
    "react-native-splash-screen": "^3.2.0",
    "react-native-svg": "^9.9.3",
    "react-native-switch-toggle": "^1.1.0",
    "react-native-tab-view": "^3.1.1",
    "react-native-toast-message": "^2.2.1",
    "react-native-vector-icons": "^6.6.0",
    "react-native-view-shot": "^3.1.2",
    "react-native-webview": "11.26.0",
    "react-navigation": "^4.4.3",
    "react-navigation-drawer": "^1.4.0",
    "react-navigation-stack": "^1.7.3",
    "react-navigation-tabs": "^1.2.0",
    "react-redux": "^7.1.1",
    "react-select2-native": "^1.3.0",
    "redux": "^4.0.4",
    "redux-persist": "^5.10.0",
    "redux-persist-transform-encrypt": "^2.0.1",
    "rn-tooltip": "^2.0.0",
    "typescript": "^5.8.3"
  },
  "devDependencies": {
    "@babel/core": "^7.20.0",
    "@babel/preset-env": "^7.20.0",
    "@babel/runtime": "^7.20.0",
    "@react-native/eslint-config": "^0.72.2",
    "@react-native/metro-config": "^0.72.11",
    "@tsconfig/react-native": "^3.0.0",
    "@types/react": "^18.0.24",
    "@types/react-test-renderer": "^18.0.0",
    "babel-jest": "^29.2.1",
    "eslint": "^8.19.0",
    "jest": "^29.2.1",
    "metro-react-native-babel-preset": "0.76.8",
    "prettier": "^2.4.1",
    "react-test-renderer": "18.2.0",
    "typescript": "4.8.4"
  },
  "engines": {
    "node": ">=16"
  }
}
